Skip to main content
GET
/
relay
/
v1
/
approvals
/
{id}
Get a specific HITL approval request
curl --request GET \
  --url https://api.swarmd.ai/relay/v1/approvals/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "taskId": "<string>",
  "contextId": "<string>",
  "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agentMessageRole": "<string>",
  "agentMessageText": "<string>",
  "detectionSource": "AGENT_INPUT_REQUIRED",
  "sourceAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sourceUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agentMessageData": "<string>",
  "policyName": "<string>",
  "matchedContent": "<string>",
  "summary": "<string>",
  "correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "resolution": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "action": "APPROVED",
    "message": "<string>",
    "resolvedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Path Parameters

id
string<uuid>
required

Response

200 - application/json

OK

id
string<uuid>
taskId
string
contextId
string
tenantId
string<uuid>
agentId
string<uuid>
agentMessageRole
string
agentMessageText
string
detectionSource
enum<string>
Available options:
AGENT_INPUT_REQUIRED,
PUSH_NOTIFICATION,
POLICY_ESCALATION
sourceAgentId
string<uuid>
sourceUserId
string<uuid>
sinkAgentId
string<uuid>
agentMessageData
string
policyName
string
matchedContent
string
summary
string
correlationId
string<uuid>
createdAt
string<date-time>
resolution
object